TITLE Recover Your Operating System By Restoring Registry and Security Files
COLOR F

@ECHO OFF

:: Purpose:  Recover Your Operating System By Restoring Registry and Security Files
::	     If you cannot recover your Operating System via the Last Known Good Option
::           Boot to the Recovery Console or WinPE Boot Disk.  
::
::           Execute this file from the Recovery Console via c:\winnt\BATCH RecoverOS.bat.  
::	     Execute this file from the WinPE Boot Disk c:\winnt\RecoverOS.bat
:: 	
:: Courtesy: Jerold Schulman
:: Modifier: John Sharpe
:: Title:    Desktop Support Analyst
:: Date:     May 2nd, 2002
:: Intent:   Provide better customer service in less time.
::

:: Create a directory for backup of suspected defective registry.
mkdir c:\winnt\options\registrybackup

:: Backup suspected defective registry.
copy c:\winnt\system32\config\software c:\winnt\options\registrybackup
copy c:\winnt\system32\config\default c:\winnt\options\registrybackup
copy c:\winnt\system32\config\sam c:\winnt\options\registrybackup
copy c:\winnt\system32\config\security c:\winnt\options\registrybackup
copy c:\winnt\system32\config\system c:\winnt\options\registrybackup

:: Restore registry and security information from system state backup.
copy c:\winnt\repair\regback\software c:\winnt\system32\config\software 
copy c:\winnt\repair\regback\software c:\winnt\system32\config\software.sav
copy c:\winnt\repair\regback\default c:\winnt\system32\config\default
copy c:\winnt\repair\regback\default c:\winnt\system32\config\default.sav
copy c:\winnt\repair\regback\sam c:\winnt\system32\config\sam
copy c:\winnt\repair\regback\sam c:\winnt\system32\config\sam.sav
copy c:\winnt\repair\regback\security c:\winnt\system32\config\security
copy c:\winnt\repair\regback\security c:\winnt\system32\config\security.sav
copy c:\winnt\repair\regback\system c:\winnt\system32\config\system
copy c:\winnt\repair\regback\system c:\winnt\system32\config\system.alt
copy c:\winnt\repair\regback\system c:\winnt\system32\config\system.sav





